import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import { View, Text, Image } from '@tarojs/components';

import OrderTitle from '../components/OrderTitle/OrderTitle';
import OrderInfo from '../components/OrderInfo/OrderInfo';
import comLogo from '../../../images/order/pay_logo_icon@2x.png';

import './OrderDetail.scss';

type pageProps = {};

class OrderDetail extends Component {
  config: Config = {
    navigationBarTitleText: '订单详情',
  };
  render() {
    return (
      <View className='OrderDetail'>
        <OrderTitle />
        <OrderInfo />
        <View className='OrderDetail-line' />
        <View className='OrderDetail-payinfo'>
          <Text>支付金额</Text>
          <Text>0.08</Text>
        </View>
        <View className='OrderDetail-payinfo'>
          <Text>通用豆抵扣</Text>
          <Text>0.03</Text>
        </View>
        <View className='OrderDetail-payinfo'>
          <Text>支付方式</Text>
          <Text>微信</Text>
        </View>
        <View className='OrderDetail-payinfo'>
          <Text>支付时间</Text>
          <Text>2018-12-05 </Text>
        </View>
        <View className='OrderDetail-payinfo'>
          <Text>交易单号</Text>
          <Text>1256456165158485146</Text>
        </View>
      </View>
    );
  }
}

export default OrderDetail as ComponentClass<pageProps>;
