import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import { View, Text, Image, Button } from '@tarojs/components';

import OrderTitle from '../components/OrderTitle/OrderTitle';
import OrderInfo from '../components/OrderInfo/OrderInfo';
import payWayLogo from '../../../images/order/pay_wechat_icon@2x.png';

import './OrderPay.scss';

type pageProps = {};

class OrderPay extends Component {
  config: Config = {
    navigationBarTitleText: '订单支付',
  };
  render() {
    return (
      <View className='OrderPay'>
        <OrderTitle />
        <OrderInfo />
        <View className='OrderPay-line' />
        <View className='OrderPay-payway'>
          <Image className='OrderPay-icon' src={payWayLogo} />
          <Text className='OrderPay-text'>微信支付</Text>
          <View className='OrderPay-check' />
        </View>
        <Button className='button OrderPay-next'>下一步</Button>
      </View>
    );
  }
}

export default OrderPay as ComponentClass<pageProps>;
