import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import {
  View,
  Text,
  Image,
  Button,
  Input,
  RadioGroup,
  Radio,
  Label,
} from '@tarojs/components';

import baseIcon from '../../images/login/icon_jibenxinxi@2x.png';
import pwdIcon from '../../images/login/icon_passworld@2x.png';
import areaIcon from '../../images/login/icon_quyu@2x.png';
import pwdHideIcon from '../../images/login/setting_invisible_icon@2x.png';
import pwdShowIcon from '../../images/login/setting_see_icon@2x.png';

import './Register.scss';

type PageOwnProps = {};
type PageState = {
  name: string;
  pwd: string;
  sex: string;
};

interface Register {
  state: PageState;
}

class Register extends Component {
  config: Config = {
    navigationBarTitleText: '注册',
    navigationStyle: 'custom',
  };

  constructor(props) {
    super(props);
    this.state = {
      name: '',
      pwd: '',
      sex: '',
    };
  }

  showCampusSelector = () => {};
  setSex = ({ detail: { value } }) => {
    this.setState({
      sex: value,
    });
  };
  updateName = e => {
    return e + 'asdad';
  };
  getRegister = () => {
    console.log('跳转首页');
  };
  render() {
    const { name, sex } = this.state;
    return (
      <View className='Register'>
        <View className='registerBox'>
          <View className='registerBox-title'>
            <Image className='registerBox-icon' src={baseIcon} />
            <Text className='registerBox-text'>基本信息</Text>
          </View>
          <View className='registerBox-item'>
            <Input
              className='loginBox-input'
              value={name}
              onInput={this.updateName}
              placeholder='输入您的姓名'
              maxLength={20}
            />
            <View className='loginBox-input sexBox'>

            </View>
            {/* <RadioGroup
              className='loginBox-input sexBox'
              onChange={this.setSex}>
              <Label
                className={`choose-item ${sex == 'Male' ? 'checked' : ''}`}>
                <Radio value='Male'>男</Radio>
              </Label>
              <Label
                className={`choose-item ${sex == 'Female' ? 'checked' : ''}`}>
                <Radio value='Female'>女</Radio>
              </Label>
            </RadioGroup> */}
          </View>
          <View className='registerBox-item'>
            <Input
              className='loginBox-input'
              placeholder='请输入注册的手机号码'
              maxLength={20}
            />
          </View>
          <View className='registerBox-item'>
            <Input
              className='loginBox-input'
              placeholder='请输入验证码'
              maxLength={20}
            />
            <Text className='registerBox-getVcode'>获取验证码</Text>
          </View>
          <View className='registerBox-title'>
            <Image className='registerBox-icon' src={pwdIcon} />
            <Text className='registerBox-text'>密码设置</Text>
          </View>
          <View className='registerBox-item'>
            <Input
              className='loginBox-input'
              password
              placeholder='密码由6-20位组成'
              maxLength={20}
            />
            <Image className='registerBox-pwdIcon' src={pwdHideIcon} />
          </View>
          <View className='registerBox-item'>
            <Input
              className='loginBox-input'
              password
              placeholder='确认密码'
              maxLength={20}
            />
            <Image className='registerBox-pwdIcon' src={pwdHideIcon} />
          </View>
          <View className='registerBox-title'>
            <Image className='registerBox-icon' src={areaIcon} />
            <Text className='registerBox-text'>区域信息</Text>
          </View>
          <View className='registerBox-item'>
            <Input
              className='loginBox-input'
              password
              placeholder='请填写真实区域信息'
              maxLength={20}
            />
          </View>
        </View>
        <View className='registerBox-agreeBox'>
          <View className='registerBox-agreeCheck' />
          <Text>同意条款</Text>
          <Text>《多彩校园服务协议》</Text>
        </View>
        <Button className='registerBox-button' onClick={this.getRegister}>
          确 认
        </Button>
      </View>
    );
  }
}

export default Register as ComponentClass<PageOwnProps, PageState>;
